@echo off
:: (c) 2010 by Mateusz Czaplinski. This script is released to Public Domain.
setlocal

:: a trick to put Windows in legacy 8.3 paths mode
:: (from: http://ss64.com/nt/syntax-args.html),
:: solving problems if there are spaces in our path
command.com /c rem

:: get current working directory - the "cmd way"...
FOR /F "tokens=*" %%G IN ('cd') DO set _cwd=%%G

:: let MSYS find 'gcc'
set PATH=%_cwd%\bin;%PATH%

set GOARCH=386
set GOOS=windows
set GOROOT=%_cwd%\go
set GOBIN=%GOROOT%\bin

if exist go-env.bat call go-env.bat

:: make the paths more MSYS-friendly
call :msys_friendly_path %GOROOT%
set GOROOT=%_result%
call :msys_friendly_path %GOBIN%
set GOBIN=%_result%

cd msys\1.0\bin
start ..\msys.bat -mintty

endlocal
goto :eof

:msys_friendly_path
setlocal
set _result=%*
:: replace "\" with "/"
set _result=%_result:\=/%
:: remove the colon in drive name and add a leading slash
set _result=/%_result::=%
endlocal & set _result=%_result%
goto :eof
